(add-to-list 'custom-theme-load-path "~/.emacs.d/themes")
(load-theme 'almost-vim t)

;;
;; ===============
;; Other UI tweaks
;; ===============
;;
;; Disable the splash screen (to enable it agin, replace the t with 0).
(setq inhibit-splash-screen t)

;; Disable the menu.
(tool-bar-mode -1)
;; Enable transient mark mode.
(transient-mark-mode 1)

;; Highlight paired parentheses when cursor is over one.
(show-paren-mode 1)

(setq-default display-line-numbers-type 'absolute
              display-line-numbers-current-absolute t
              display-line-numbers-width 4
              display-line-numbers-widen t)

(add-hook 'text-mode-hook #'display-line-numbers-mode)
(add-hook 'prog-mode-hook #'display-line-numbers-mode)

;; (set-face-attribute 'default (selected-frame) :height 85)

(setq column-number-mode t)
(setq ido-use-filename-at-point nil)

(provide 'jenga-ui)
